<!-- <br><h2 style="text-align: left;">Users Management</h2><br> -->
<div class="card animated fadeIn" *ngIf="table_users==true">
  <div class="card-header">
    <h3>Users Management</h3>
  </div>

  <div class="card-body">
    <button type="button" class="btn btn-custom" (click)=" table_users=false;page_1=true">
      + Create Users
    </button><br /><br />

    <!-- ------------------- alert ----------------- -->

    <div class="alert alert-success" *ngIf="check_success == true" role="alert">
      {{message}}
    </div>

    <!-- ============== table ================ -->



    <div style="text-align: right;">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search">
      </mat-form-field><i class="cui-magnifying-glass icons font-ls"></i>
    </div>


    <div>
      <table mat-table [dataSource]="dataSource"
        class="mat-elevation-z8 table table-hover table-responsive-sm table-responsive-md table-responsive-lg">



        <!-- Username Column -->
        <ng-container matColumnDef="user">
          <th mat-header-cell *matHeaderCellDef>User</th>
          <td mat-cell *matCellDef="let element"> {{element.username}} </td>
        </ng-container>

        <!-- Customer Column -->
        <ng-container matColumnDef="company">
          <th mat-header-cell *matHeaderCellDef>Customers</th>

          <ng-container *matCellDef="let element">
            <td mat-cell *ngIf="element.customer.length != 0"> {{element.customer[0].company}}</td>
            <td mat-cell *ngIf="element.customer.length == 0"></td>
          </ng-container>

        </ng-container>

        <!-- role Column -->
        <ng-container matColumnDef="role">
          <th mat-header-cell *matHeaderCellDef> Role </th>
          <td mat-cell *matCellDef="let element"> {{element.role}} </td>
        </ng-container>

        <!-- create Column -->
        <ng-container matColumnDef="create_date">
          <th mat-header-cell *matHeaderCellDef> Create Date </th>
          <td mat-cell *matCellDef="let element">{{(element.create_date* 1000) | date : 'dd-MM-yyyy'}} </td>
        </ng-container>


        <!-- action Column -->
        <ng-container matColumnDef="edit">
          <th mat-header-cell *matHeaderCellDef>
            Action
          </th>
          <td mat-cell *matCellDef="let element">
            <button type="button" class="btn btn-pill btn-danger btn-md"
              (click)="modalRemove.show(); getIdUser(element.user_id,element.username);"><i
                class="cui-trash icons font-ls" data-toggle="modal"></i>
            </button>
          </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>


      <mat-paginator [pageSizeOptions]="[10, 15, 25, 100]" showFirstLastButtons></mat-paginator>
    </div>



  </div>
</div>




<!-- ------------------ button add user --------------------------------- -->

<div *ngIf="table_users==false" id="regis_customer">
  <div class="card animated fadeIn" *ngIf="page_1==true">
    <div class="card-header">
      <h3>New User</h3>
    </div>

    <div class="card-body">
      <div class="alert alert-danger" *ngIf='check_error == true' role="alert">
        {{error_msg}}
      </div>
      <form #userFrom="ngForm" action="" method="post" class="form-horizontal">
        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="username">Username</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="username" name="username"
              placeholder="Enter your username" (input)="checkUser(check_user.test($event.target.value))"
              [style.border-left]="style_username" [tooltip]="username_check" triggers="focus" data-placement="right"
              required>
          </div>

          <ng-template #username_check>
            <div *ngIf="!check_user.test(username)||!username" class="icon-check" style="text-align:left;"> Please Enter
              a-z</div>
            <div *ngIf="username" maxlength="20">
              <div style="color:lightgreen; text-align:left;" *ngIf="check_user.test(username);" class="icon-check">
                Please Enter a-z</div>
            </div>
          </ng-template>
        </div>


        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="password">Password</label>
          <div class="col-sm-5">
            <input type="password" class="form-control" [(ngModel)]="password" name="password"
              placeholder="Enter your password" (input)="checkPass(check_password.test($event.target.value))"
              [style.border-left]="style_password" data-placement="right" title="Hooray!" [tooltip]="password_check"
              triggers="focus" data-placement="right">
          </div>

          <ng-template #password_check>

            <div *ngIf="!pet_pass_eng.test(password)||!password" style="text-align:left; padding-bottom: 0.5em "
              class="icon-check"> Please Enter Englist Charactors</div>
            <div *ngIf="!pet_pass_special.test(password)||!password" class="icon-check"
              style="text-align:left; padding-bottom: 0.5em "> Must be have Special Charactors (@$!%*#?&)</div>
            <div *ngIf="!pet_pass_number.test(password)||!password" class="icon-check"
              style="text-align:left; padding-bottom: 0.5em "> Must be have Number Charactors</div>
            <div *ngIf="!pat_pass_lower.test(password)||!password" class="icon-check"
              style="text-align:left; padding-bottom: 0.5em "> Must be have lower Charactors</div>
            <div *ngIf="!pat_pass_upper.test(password)||!password" class="icon-check"
              style="text-align:left; padding-bottom: 0.5em "> Must be have Upper Charactors</div>

            <div *ngIf="password" maxlength="20">
              <div style="color:lightgreen; text-align:left; padding-bottom: 0.5em "
                *ngIf="pet_pass_eng.test(password);" class="icon-check"> Please Enter Englist Charactors</div>
              <div style="color:lightgreen; text-align:left; padding-bottom: 0.5em "
                *ngIf="pet_pass_special.test(password);" class="icon-check"> Must be have Special Charactors (@$!%*#?&)
              </div>
              <div style="color:lightgreen; text-align:left; padding-bottom: 0.5em "
                *ngIf="pet_pass_number.test(password)" class="icon-check"> Must be have Number Charactors</div>
              <div style="color:lightgreen; text-align:left; padding-bottom: 0.5em "
                *ngIf="pat_pass_lower.test(password)" class="icon-check"> Must be have lower Charactors</div>
              <div style="color:lightgreen; text-align:left; padding-bottom: 0.5em "
                *ngIf="pat_pass_upper.test(password)" class="icon-check"> Must be have Upper Charactors</div>
            </div>

          </ng-template>
        </div>

        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="confirm_pass">Confirm password</label>
          <div class="col-sm-5">
            <input type="password" class="form-control" [(ngModel)]="confirm_pass" name="confirm_pass"
              placeholder="Enter your password again" [style.border-left]="style_confrim"
              (input)="checkConfirmPass($event.target.value,password)" [tooltip]="confirm_check" triggers="focus"
              data-placement="right">
          </div>

          <ng-template #confirm_check>
            <div *ngIf="confirm_pass != password || !confirm_pass " class="icon-check"> Password Not Match.</div>
            <div *ngIf="confirm_pass" maxlength="20">
              <div style="color:lightgreen" *ngIf="confirm_pass == password" class="icon-check"> Password Match.</div>
            </div>
          </ng-template>
        </div>


        <div class="form-group row" style="text-align: center;">
          <label class="col-sm-4 col-form-label" for="role">Role</label>
          <div class="col-sm-5">
            <select class="form-control" name="role" [(ngModel)]="role" required
              (ngModelChange)="onChange_role($event)">
              <option value="admin">Admin</option>
              <option value="user">User</option>
            </select>
          </div>
        </div>

        <div class="form-group row" style="text-align: center;" *ngIf="role == 'user'">
          <label class="col-sm-4 col-form-label" for="customer">Customer</label>
          <div class="col-sm-5">
            <select class="form-control" name="customer" [(ngModel)]="customer" required
              (ngModelChange)="onChange_customer($event)">
              <option *ngFor="let cust of customer_data">{{cust.company}}</option>
            </select>
          </div>
        </div>



      </form>
    </div>
    <div class="card-footer">
      <button type="button" class="btn btn-outline-danger" (click)="cancleCreate()">Cancle</button>
      <button type="button" class="btn btn-custom" (click)="create_user(username,password,confirm_pass)"
        *ngIf='userFrom.form.valid;else button_disable'>Add User
      </button>
      <ng-template #button_disable>
        <button type="button" class="btn btn-dis" disabled>Add User
        </button>
      </ng-template>

    </div>
  </div>
</div>



<!-- =============== Modal Remove ================== -->

<div bsModal #modalRemove="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">

      <div class="modal-body">
        <h4 class="modal-title">Confirm to Delete User</h4>
        <br>
        <p>Are you sure to delete is {{get_username}}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="modalRemove.hide()">Close</button>
        <button type="button" class="btn btn-danger" (click)="deleteUser(); modalRemove.hide();">Delete User</button>
      </div>
    </div>
  </div>
</div>